type Property = string;
type Class = string;
type Datatype = string;
type OwlClass = string;
type OwlObjectProperty = string;
type OwlDatatypeProperty = string;
type HydraResource = string;
type HydraClass = string;
type HydraLink = string;
type HydraTemplatedLink = string;
type HydraVariableRepresentation = string;

/**
 * http://www.w3.org/2001/XMLSchema#ID
 */
export const ID = 'http://www.w3.org/2001/XMLSchema#ID' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#IDREF
 */
export const IDREF = 'http://www.w3.org/2001/XMLSchema#IDREF' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#ENTITY
 */
export const ENTITY = 'http://www.w3.org/2001/XMLSchema#ENTITY' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#NCName
 */
export const NCName = 'http://www.w3.org/2001/XMLSchema#NCName' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#NMTOKEN
 */
export const NMTOKEN = 'http://www.w3.org/2001/XMLSchema#NMTOKEN' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#Name
 */
export const Name = 'http://www.w3.org/2001/XMLSchema#Name' satisfies Datatype;

/**
 * The maximum number of decimal digits required to represent a value.
 *
 * http://www.w3.org/2001/XMLSchema#totalDigits
 */
export const totalDigits = 'http://www.w3.org/2001/XMLSchema#totalDigits' satisfies Property;

/**
 * The total number of digits to the right of the decimal point required to represent a value.
 *
 * http://www.w3.org/2001/XMLSchema#fractionDigits
 */
export const fractionDigits = 'http://www.w3.org/2001/XMLSchema#fractionDigits' satisfies Property;

/**
 * A regular expression that matches complete valid literals.
 *
 * http://www.w3.org/2001/XMLSchema#pattern
 */
export const pattern = 'http://www.w3.org/2001/XMLSchema#pattern' satisfies Property;

/**
 * The inclusive upper bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#maxInclusive
 */
export const maxInclusive = 'http://www.w3.org/2001/XMLSchema#maxInclusive' satisfies Property;

/**
 * The exclusive upper bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#maxExclusive
 */
export const maxExclusive = 'http://www.w3.org/2001/XMLSchema#maxExclusive' satisfies Property;

/**
 * The inclusive lower bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#minInclusive
 */
export const minInclusive = 'http://www.w3.org/2001/XMLSchema#minInclusive' satisfies Property;

/**
 * The exclusive lower bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#minExclusive
 */
export const minExclusive = 'http://www.w3.org/2001/XMLSchema#minExclusive' satisfies Property;

/**
 * XML qualified names.
 *
 * http://www.w3.org/2001/XMLSchema#QName
 */
export const QName = 'http://www.w3.org/2001/XMLSchema#QName' satisfies Datatype;

/**
 * URI reference.
 *
 * http://www.w3.org/2001/XMLSchema#anyURI
 */
export const anyURI = 'http://www.w3.org/2001/XMLSchema#anyURI' satisfies Datatype;

/**
 * Base64-encoded arbitrary binary data.
 *
 * http://www.w3.org/2001/XMLSchema#base64Binary
 */
export const base64Binary = 'http://www.w3.org/2001/XMLSchema#base64Binary' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#boolean
 */
export const boolean = 'http://www.w3.org/2001/XMLSchema#boolean' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#byte
 */
export const byte = 'http://www.w3.org/2001/XMLSchema#byte' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#date
 */
export const date = 'http://www.w3.org/2001/XMLSchema#date' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#dateTime
 */
export const dateTime = 'http://www.w3.org/2001/XMLSchema#dateTime' satisfies Datatype;

/**
 * A subset of the real numbers, which can be represented by decimal numerals.
 *
 * http://www.w3.org/2001/XMLSchema#decimal
 */
export const decimal = 'http://www.w3.org/2001/XMLSchema#decimal' satisfies Datatype;

/**
 * IEEE double-precision 64-bit floating point.
 *
 * http://www.w3.org/2001/XMLSchema#double
 */
export const double = 'http://www.w3.org/2001/XMLSchema#double' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#duration
 */
export const duration = 'http://www.w3.org/2001/XMLSchema#duration' satisfies Datatype;

/**
 * IEEE single-precision 32-bit floating point.
 *
 * http://www.w3.org/2001/XMLSchema#float
 */
export const float = 'http://www.w3.org/2001/XMLSchema#float' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#gDay
 */
export const gDay = 'http://www.w3.org/2001/XMLSchema#gDay' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#gMonth
 */
export const gMonth = 'http://www.w3.org/2001/XMLSchema#gMonth' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#gMonthDay
 */
export const gMonthDay = 'http://www.w3.org/2001/XMLSchema#gMonthDay' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#gYear
 */
export const gYear = 'http://www.w3.org/2001/XMLSchema#gYear' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#gYearMonth
 */
export const gYearMonth = 'http://www.w3.org/2001/XMLSchema#gYearMonth' satisfies Datatype;

/**
 * Hex-encoded arbitrary binary data.
 *
 * http://www.w3.org/2001/XMLSchema#hexBinary
 */
export const hexBinary = 'http://www.w3.org/2001/XMLSchema#hexBinary' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#int
 */
export const int = 'http://www.w3.org/2001/XMLSchema#int' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#integer
 */
export const integer = 'http://www.w3.org/2001/XMLSchema#integer' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#language
 */
export const language = 'http://www.w3.org/2001/XMLSchema#language' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#long
 */
export const long = 'http://www.w3.org/2001/XMLSchema#long' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#negativeInteger
 */
export const negativeInteger = 'http://www.w3.org/2001/XMLSchema#negativeInteger' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#nonNegativeInteger
 */
export const nonNegativeInteger = 'http://www.w3.org/2001/XMLSchema#nonNegativeInteger' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#nonPositiveInteger
 */
export const nonPositiveInteger = 'http://www.w3.org/2001/XMLSchema#nonPositiveInteger' satisfies Datatype;

/**
 * The set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters.
 *
 * http://www.w3.org/2001/XMLSchema#normalizedString
 */
export const normalizedString = 'http://www.w3.org/2001/XMLSchema#normalizedString' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#positiveInteger
 */
export const positiveInteger = 'http://www.w3.org/2001/XMLSchema#positiveInteger' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#short
 */
export const short = 'http://www.w3.org/2001/XMLSchema#short' satisfies Datatype;

/**
 * A character string.
 *
 * http://www.w3.org/2001/XMLSchema#string
 */
export const string = 'http://www.w3.org/2001/XMLSchema#string' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#time
 */
export const time = 'http://www.w3.org/2001/XMLSchema#time' satisfies Datatype;

/**
 * The set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.
 *
 * http://www.w3.org/2001/XMLSchema#token
 */
export const token = 'http://www.w3.org/2001/XMLSchema#token' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#unsignedByte
 */
export const unsignedByte = 'http://www.w3.org/2001/XMLSchema#unsignedByte' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#unsignedInt
 */
export const unsignedInt = 'http://www.w3.org/2001/XMLSchema#unsignedInt' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#unsignedLong
 */
export const unsignedLong = 'http://www.w3.org/2001/XMLSchema#unsignedLong' satisfies Datatype;

/**
 * http://www.w3.org/2001/XMLSchema#unsignedShort
 */
export const unsignedShort = 'http://www.w3.org/2001/XMLSchema#unsignedShort' satisfies Datatype;
